Skip to main content
`Ctrl`+`K`

# PEPScale

The scaling strategy.

## Synopsis

    typedef enum { PEP_SCALE_NONE,
                   PEP_SCALE_SCALAR,
                   PEP_SCALE_DIAGONAL,
                   PEP_SCALE_BOTH } PEPScale;

## Values

- `PEP_SCALE_NONE` - no scaling

- `PEP_SCALE_SCALAR` - multiply by a scalar value

- `PEP_SCALE_DIAGONAL` - multiply by two diagonal matrices

- `PEP_SCALE_BOTH` - both scalar and diagonal scaling

## Note

See section Scaling for a discussion of the different scaling strategies.

## See Also

PEP: Polynomial Eigenvalue Problems, Scaling, `PEPSetScale()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages